PUT /katello/api/activation_keys/568942081
{
"organization_id": 114267492,
"activation_key": {
"unlimited_hosts": false,
"max_hosts": 0
}
}
422
{
"message": "Validation failed: Max hosts cannot be less than one",
"errors": {
"max_hosts": [
"cannot be less than one"
]
}
}
| Param name | Description |
|---|---|
|
organization_id
required |
organization identifier Validations:
|
|
description
optional |
description Validations:
|
|
max_hosts
optional |
maximum number of registered content hosts Validations:
|
|
unlimited_hosts
optional |
can the activation key have unlimited hosts Validations:
|
|
release_version
optional |
content release version Validations:
|
|
service_level
optional |
service level Validations:
|
|
purpose_usage
optional |
Sets the system purpose usage Validations:
|
|
purpose_role
optional |
Sets the system purpose usage Validations:
|
|
content_view_environments
optional |
Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Requires allow_multiple_content_views setting to be on. Validations:
|
|
content_view_environment_ids
optional |
Array of content view environment ids to be associated with the activation key. Requires allow_multiple_content_views setting to be on. Validations:
|
|
id
required |
ID of the activation key Validations:
|
|
name
optional |
name Validations:
|